Skip to content

Global Log Receiver Status.

POST
/api/data/namespaces/{namespace}/global_log_receiver/status
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data/namespaces/example/global_log_receiver/status \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "end_time": "example", "group_by": [ "LABEL_NONE" ], "label_filter": [ { "label": "LABEL_NONE", "op": "EQ", "value": "example" } ], "namespace": "example", "start_time": "example", "step": "example" }'

GET status for global log receivers.

Examples of this operation.

namespace
required
string

Namespace

x-required Namespace of the configured object.

Media typeapplication/json
Global Log Receiver Status Request

Request to GET the global log receiver.

object
end_time
end_time

End time of metric collection from which data will be considered to build graph. Format: unix_timestamp|RFC 3339

Optional: If not specified, then the end_time will be evaluated to start_time+10m If start_time is not specified, then the end_time will be evaluated to

string
<= 1024 characters
group_by
Group by

Aggregate data by labels specified in the group_by field.

Array<string>
Allowed values: LABEL_NONE LABEL_GLR_NAME
label_filter
label_filter

List of label filter expressions of the form “label key” QueryOp “value”. Response will only contain data that matches all the conditions specified in the label_filter.

Optional: If not specified, glr status data for all global log receiver will be returned in the response.

Array<object>
<= 100 items
Label Filter

Metrics used in the global log receiver are tagged with labels listed in the enum Label. Label Filter is used to filter the timeseries that match the specified label key/value and the operator.

object
label
string
default: LABEL_NONE
Allowed values: LABEL_NONE LABEL_GLR_NAME
op
string
default: EQ
Allowed values: EQ NEQ
value
Value

Value of the label.

string
>= 3 characters <= 1024 characters
namespace
Namespace

Namespace of the configured object Required: YES.

string
>= 6 characters <= 1024 characters
start_time
start_time

Start time of metric collection from which data will be considered to build response. Format: unix_timestamp|RFC 3339

Optional: If not specified, then the start_time will be evaluated to end_time-10m If end_time is not specified, then the start_time will be evaluated to -10m.

string
<= 1024 characters
step
step

Step is the resolution width, which determines the number of the data points [x-axis (time)] to be returned in the response. The timestamps in the response will be t1=start_time, t2=t1+step, … Tn=tn-1+step, where tn <= end_time. Format: [0-9][smhd], where s - seconds, m - minutes, h - hours, d - days

Optional: If not specified, then step size is evaluated to <end_time - start_time>

string
<= 1024 characters

A successful response.

Media typeapplication/json
Global Log Receiver Status Response

Response for global log receiver.

object
glr_status
Global Log Receiver Status Data

Status data specified for the global log receiver.

Array<object>
Global Log Receiver Status Data

GlobalLogReceiverStatusData wraps all the response data for a global log receivers.

object
labels
x-displayName: "Labels" Labels contains the name/value pair. "name" is the label defined in Labels

“name” is the label defined in Labels.

object
values
Value

List of metric values. May contain more than one value if timeseries data is requested.

Array<object>
Status Value

Status data contains timestamp and status.

object
status
string
default: STATUS_UNKNOWN
Allowed values: STATUS_UNKNOWN STATUS_UP STATUS_DOWN STATUS_DEGRADED
timestamp
Timestamp

Timestamp

number format: double
step
step

Actual step size used in the response. It could be higher than the requested step due to metric rollups and the query duration. Format: [0-9][smhd], where s - seconds, m - minutes, h - hours, d - days.

string
<= 1024 characters
Example
{
"glr_status": [
{
"values": [
{
"status": "STATUS_UNKNOWN"
}
]
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example